INSERT INTO `grades` (`ID`, `Grade`, `Degree`) VALUES
(1, 1, 'bachelor'),
(2, 2, 'bachelor'),
(3, 3, 'bachelor'),
(4, 4, 'bachelor'),
(5, 5, 'specialist'),
(6, 1, 'master'),
(7, 2, 'master');

INSERT INTO `semesters` (`ID`, `Year`, `Num`) VALUES
(1, 2014, 1);


INSERT INTO `job_positions` (`ID`, `Name`) VALUES
(1, 'Аспирант'),
(2, 'Ассистент'),
(3, 'Ведущий научный сотрудник'),
(4, 'Главный научный сотрудник'),
(5, 'Докторант'),
(6, 'Доцент'),
(7, 'Младший научный сотрудник'),
(8, 'Научный сотрудник'),
(9, 'Преподаватель'),
(10, 'Профессор'),
(11, 'Старший преподаватель'),
(12, 'Стажер'),
(13, 'Старший научный сотрудник');


INSERT INTO `faculties` (`ID`, `Name`, `Abbr`) VALUES
(1, 'Институт математики, механики и компьютерных наук', 'Мехмат'),
(2, 'Юридический факультет', 'Юрфак'),
(3, 'Южный федеральный университет','ЮФУ');


INSERT INTO `specializations` (`ID`, `Name`, `Abbr`, `FacultyID`) VALUES
(1, 'Прикладная математика и информатика', 'ПМиИ', 1),
(2, 'Информационные технологии', 'ИТ', 1),
(3, 'Математика', 'Матем', 1),
(4, 'Механика и математическое моделирование', 'Мех', 1),
(5, 'Педагогическое образование в математике и информатике', 'ПОМИ', 1);


INSERT INTO `departments` (`ID`, `Name`, `FacultyID`) VALUES
(1, 'Кафедра алгебры и дискретной математики', 1),
(2, 'Кафедра высокопроизводительных вычислений и информационно-​коммуникационных технологий', 1),
(3, 'Кафедра вычислительной математики и математической физики', 1),
(4, 'Кафедра геометрии', 1),
(5, 'Кафедра дифференциальных и интегральных уравнений', 1),
(6, 'Кафедра информатики и вычислительного эксперимента', 1),
(7, 'Кафедра высшей математики и исследования операций ', 1),
(8, 'Кафедра математического анализа', 1),
(9, 'Кафедра математического моделирования', 1),
(10, 'Кафедра прикладной математики и программирования', 1),
(11, 'Кафедра теоретической и компьютерной гидроаэродинамики', 1),
(12, 'Кафедра теории упругости', 1),
(13, 'Кафедра технологий автоматизации в бизнесе', 1),
(14, NULL, 1),
(15, 'Кафедра международного права', 2),
(16, NULL, 2);


INSERT INTO `study_groups` (`GradeID`, `GroupNum`, `SpecializationID`, `Name`) VALUES
(1, 1, 1, NULL),
(1, 2, 1, NULL),
(1, 3, 1, NULL),
(1, 4, 1, NULL),
(1, 5, 3, NULL),
(1, 6, 5, NULL),
(1, 7, 4, NULL),
(1, 8, 2, NULL),
(1, 9, 2, NULL),
(2, 1, 1, NULL),
(2, 2, 1, NULL),
(2, 3, 1, NULL),
(2, 4, 1, NULL),
(2, 5, 3, NULL),
(2, 6, 5, NULL),
(2, 7, 4, NULL),
(2, 8, 2, NULL),
(2, 9, 2, NULL),
(3, 1, 1, NULL),
(3, 2, 1, NULL),
(3, 3, 1, NULL),
(3, 4, 1, NULL),
(3, 5, 3, NULL),
(3, 6, 5, NULL),
(3, 7, 4, NULL),
(3, 8, 2, NULL),
(3, 9, 2, NULL),
(4, 1, 1, NULL),
(4, 2, 1, NULL),
(4, 3, 1, NULL),
(4, 4, 1, NULL),
(4, 5, 3, NULL),
(4, 6, 5, NULL),
(4, 7, 4, NULL),
(4, 8, 2, NULL),
(4, 9, 2, NULL),
(5, 1, 1, NULL),
(5, 2, 1, NULL),
(5, 3, 1, NULL),
(5, 4, 1, NULL),
(5, 6, 3, NULL),
(5, 7, 4, NULL),
(6, 1, 1, 'ММ'),
(6, 2, 1, 'МФ'),
(6, 5, 1, 'ФМ'),
(6, 6, 1, 'ЗИ'),
(6, 7, 1, 'БМ'),
(6, 9, 2, 'КН'),
(6, 10, 2, 'ТК'),
(6, 11, 4, 'МЕХ'),
(7, 2, 1, 'МФ'),
(7, 4, 1, 'ПП'),
(7, 5, 1, 'ФМ'),
(7, 6, 1, 'ЗИ'),
(7, 7, 1, 'БМ'),
(7, 8, 3, 'МАТ'),
(7, 9, 2, 'КН'),
(7, 11, 4, 'ТУ'),
(7, 12, 4, 'ГАМ');

INSERT INTO `subjects` (`ID`, `Name`, `Abbr`) VALUES
(1, 'Математическая логика и теория множеств', 'Мат. логика и ТМ'),
(2, 'Математический анализ', 'Мат. Анализ'),
(3, 'Алгебра и геометрия', 'Алг. и геом.'),
(4, 'Дискретная математика', 'Дискр. матем.'),
(5, 'История', 'История'),
(6, 'Теоретическая и практическая механика', 'Теор. и практ. мех.'),
(7, 'Консультация', 'Консультация'),
(8, 'Практикум на ЭВМ', 'Практ. ЭВМ'),
(9, 'Иностранный язык', 'Иностр. язык'),
(10, 'Теория и технология программирования', 'ТиТП'),
(11, 'Основы программирования', 'Основы прог-ния'),
(12, 'Немецкий язык', 'Немецкий язык'),
(13, 'Физвоспитание', 'Физвоспитание'),
(14, 'Алгебра', 'Алгебра'),
(15, 'Основы информатики', 'Осн. инф.'),
(16, 'Русский язык', 'Русский язык'),
(17, 'Самостоятельная работа', 'Самост. работа'),
(18, 'Культура здоровья', 'Культура здоровья'),
(19, 'Аналитическая геометрия', 'Аналит. геом.'),
(20, 'Спецподготовка', 'Спецподготовка'),
(21, 'Физика', 'Физика'),
(22, 'Введение в ООП', 'Введение в ООП'),
(23, 'Дифференциальные уравнения', 'Дифф. уравн.'),
(24, 'Философия', 'Философия'),
(25, 'Матемематические основы защиты информации', 'МОЗИ'),
(26, 'Языки программирования', 'ЯП'),
(27, 'Дифференциальная геометрия и топология', 'Дифф. геом. и топология'),
(28, 'Математическая логика', 'Мат. логика'),
(29, 'Компьютерные науки', 'Комп. науки'),
(30, 'Теоретическая физика', 'Теор. физика'),
(31, 'Численные методы', 'Численные методы'),
(32, 'Векторный анализ и теория поля', 'Вект. анализ и теория поля'),
(33, 'Механика сплошной среды', 'МСС'),
(34, 'Теория вероятности и математическая статистика', 'ТВ и МС'),
(35, 'Уравнения математической физики', 'УМФ'),
(36, 'Избранные главы математического анализа', 'Избр. главы мат. анализа'),
(37, 'Операционные системы', 'ОС'),
(38, 'Компьютерные сети', 'Комп. сети'),
(39, 'Функциональный анализ', 'Функц. анализ'),
(40, 'Спецкурс', 'С/к'),
(41, 'Курс по выбору', 'Курс по выбору'),
(42, 'Ряды Фурье', 'Ряды Фурье'),
(43, 'Физико-механический практикум', 'Физ.-мех. практ'),
(44, 'Комплексный анализ', 'Компл. анализ'),
(45, 'Паттерны программирования приложений', 'Паттерны прогр-ния прилож.'),
(46, 'Вариационное исчисление и методы оптимизации', 'Вар.исчисл. и методы оптим.'),
(47, 'Технологии БД', 'Техн. БД'),
(48, 'Механическая математика', 'Мех. матем.'),
(49, 'Пакет прикладных программ', 'ППП'),
(50, 'Алгоритмы на графах', 'Алг. на графах'),
(51, 'Теоретическая механика', 'Теор. мех.'),
(52, 'Инновационный менеджмент', 'Инновационный менеджмент'),
(53, 'Базы данных', 'БД'),
(54, 'Теория автоматов и функциональных языков', 'Теория автоматов и ФЯ'),
(55, 'История религии', 'История религии'),
(56, 'Правоведение', 'Правоведение'),
(57, 'БЖД', 'БЖД'),
(58, 'Параллельное программирование', 'Параллельное прог-ние'),
(59, 'Вычислительная механика', 'Выч. механика'),
(60, 'Математические модели естественных наук', 'Мат. модели естеств. наук'),
(61, 'Компьютерная графика', 'Комп. графика'),
(62, 'Интеллектуальные системы', 'ИС'),
(63, 'Устойчивость и упр. движение', 'Устойчивость и упр. движение'),
(64, 'Дополнительные главы алгебры', 'Доп. главы алгебры'),
(65, 'Программная инженерия', 'Программная инженерия'),
(66, 'Курс по выбору 1', 'Курс по выбору 1'),
(67, 'Курс по выбору 2', 'Курс по выбору 2'),
(68, 'Эксп. методы в МСС', 'Эксп. методы в МСС'),
(69, 'Разработка компиляторов', 'Разработка компиляторов'),
(70, 'Функциональное программирование', 'Функц-е прогр-е'),
(71, 'Методы оптимизации общения', 'Методы опт. общения'),
(72, 'Теория чисел', 'Теория чисел'),
(73, 'КСЕ', 'КСЕ'),
(74, 'Экс.методы', 'Экс.методы'),
(75, 'Факультатив', 'Факультатив'),
(76, 'Вычислительные системы и микропрограммирование', 'ВСи микропрогр-е'),
(77, 'Введение в наномеханику', 'Введение в наномеханику'),
(78, 'История и мет. механики', 'История и мет. механики'),
(79, 'Дискретные математические модели', 'Дискр. мат. модели'),
(80, 'Современные компьютерные технологии', 'Совр. комп. технологии'),
(81, 'История математики', 'История математики'),
(82, 'Методы идентификации динамических систем', 'МИДС'),
(83, 'Компьютерный практикум по механике', 'Комп. практ. по механике'),
(84, 'НИС', 'НИС'),
(85, 'История ПМ и И', 'История ПМ и И'),
(86, 'Современное программирование', 'Современное прог-ние'),
(87, 'Современные проблемы ПМ и М', 'Совр. проблемы ПМ и М'),
(88, 'Современные БД', 'Совр. БД'),
(89, 'Компьютерный практикум', 'Комп. практ.'),
(90, 'Методы анализа и синтеза опт. конст.', 'Методы анализа и синтеза опт. конст.'),
(91, 'Эксп. методы в механике ДТ', 'Эксп. методы в механике ДТ'),
(92, 'Разработка опт-х компиляторов', 'Разработка опт-х компиляторов'),
(93, 'Верификация программоного обеспечения', 'Вериф. ПО'),
(94, 'Функциональные пространства', 'Функц. пространства'),
(95, 'Курс по выбору 3', 'Курс по выбору 3'),
(96, 'Современные проблемы механики', 'Совр. проблемы механики'),
(128, 'NO', 'NO'),
(129, 'Методы оптимизации и исследование операций', 'МО и ИО ');
